<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Mini SPA</title>
    <link rel='stylesheet' href='../css/estilo.css'>
    <style>
        nav {
            font-size: 2em;
        }

        nav a {
            text-decoration: none;
            color: #FFF;
            padding: 0 10px;
        }
    </style>
</head>

<body class="conteudo">
    <nav>
        <a href wm-link="series.html" wm-destino=".pagina">Séries</a> |
        <a href wm-link="linguagens.html" wm-destino=".pagina">Linguagens</a>
    </nav>
    <div class="pagina"></div>
    <script>
        function navegarViaAjax(url, seletor, push = true) {
            const elemento = document.querySelector(seletor)
            if (!url || !seletor) return
            fetch(url)
                .then(resp => resp.text())
                .then(html => {
                    elemento.innerHTML = html
                    if (push) {
                        history.pushState({ seletor }, "Página Ajax", url)
                    }
                })
        }

        document.querySelectorAll('[wm-link]').forEach(link => {
            const url = link.attributes['wm-link'].value
            const seletorDestino = link.attributes['wm-destino'].value

            link.onclick = e => {
                e.preventDefault()
                navegarViaAjax(url, seletorDestino)
            }
        })

        window.onpopstate = e => {
            if (e.state) {
                navegarViaAjax(window.location.href, e.state.seletor, false)
            }
        }
    </script>
</body>